
function DungeonLore:InitData()
	if self.data_loaded then
		return;
	else
		self.data_loaded = true;
	end

	-- FIXME: Might want to go by NPC ID instead of name. There might be dupes.
	self.data = {['lore']={}, ['strat']={}};

	self:Print("Loaded "..getn(self.data).." targets.");
end

function DungeonLore:CheckData()
	if not self.data_checked then
		self.data_checked = true;
	else
		return
	end

	for name, lorestrat in pairs(DungeonLore.data) do
		for name, messages in pairs(lorestrat) do
			for i, message in pairs(messages) do
				if strlen(message) > 255 then
					DungeonLore:Print("Message #"..i.." for "..name.." is too long. It must be 255 characters or less.");
				end
			end
		end
	end
	self:Print("Done checking messages.");
end

DungeonLore:ScheduleTimer("CheckData", 10);

function DungeonLore:merge(second_table)
    if self.data ~= nil then
		for key, value in pairs(second_table) do
			for k,v in pairs(value) do self.data[key][k] = v end
		end
    end
end
